Subject: Re: [sunset4] [DNSOP] New Version Notification for draft-jjmb-sunset4-dns-forwarding-ipv4aas-00.txt

From: "Brzozowski, John" <[email-masked]>
Date: Tue, 3 Nov 2015 05:55:44 +0000

Alain thanks for these pointers.  I will read through these and reply back
to the mailing list.  The main reason we submitted the I-D is because we
could not find one document that addressed the topic.  If the documents
below address all these cases then we can abandon the draft we submitted,
however, part of me believes this topic is important enough to have in a
single document instead of spread across several.

I will send more comments shortly.

John
+1-484-962-0060

-----Original Message-----
From: Alain Durand <[email-masked]>
Date: Tuesday, November 3, 2015 at 14:17
To: John Jason Brzozowski <[email-masked]>,
"[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Joel Jaeggli <[email-masked]>, Brian Haberman
<[email-masked]>, Terry Manderson <[email-masked]>,
Fred Baker <[email-masked]>, Paul Ebersman
<[email-masked]>
Subject: Re: [DNSOP] New Version Notification for
draft-jjmb-sunset4-dns-forwarding-ipv4aas-00.txt

>John,
>
>Such recommendation can be found in various IPv4aas documents. See RFC6333
>section 5.5 [DS-lite] , RFC7596 section 5.1 [lw4over6] and RFC7597 section
>10 [MAP]. Curious, what is the rationale to spell this out in a separate
>document?
>
>Alain
>
>
>
>On 11/2/15, 11:30 PM, "DNSOP on behalf of Brzozowski, John"
><[email-masked] on behalf of [email-masked]>
>wrote:
>
>>Cross posting with dnsop and sunsets per email exchanges/conversations
>>with both sets of chairs.
>>
>>John
>>
>>-----Original Message-----
>>From: John Jason Brzozowski <[email-masked]>
>>Date: Monday, November 2, 2015 at 17:21
>>To: "[email-masked]" <[email-masked]>
>>Cc: Fred Baker <[email-masked]>, "[email-masked]"
>><[email-masked]>, "[email-masked]" <[email-masked]>, Joel
>>Jaeggli <[email-masked]>, Paul Ebersman
>><[email-masked]>, Brian Haberman
>><[email-masked]>, "[email-masked]"
>><[email-masked]>, Wesley George <[email-masked]>,
>>Marc Blanchet <[email-masked]>
>>Subject: New Version Notification for
>>draft-jjmb-sunset4-dns-forwarding-ipv4aas-00.txt
>>
>>>sunset4,
>>>
>>>Please see the following I-D that was submitted earlier today.  We would
>>>appreciate your feedback and comments.  I had some offline email with
>>>the
>>>dnsop and v6ops chairs and ADs (they are copied instead of cross posting
>>>for now).  The guidance I received was to post this here to sunset4.
>>>
>>>Thanks,
>>>
>>>John
>>>+1-484-962-0060
>>>
>>>
>>>
>>>
>>>-----Original Message-----
>>>From: "[email-masked]" <[email-masked]>
>>>Date: Monday, November 2, 2015 at 16:48
>>>To: Paul Ebersman <[email-masked]>, John Jason
>>>Brzozowski
>>><[email-masked]>
>>>Subject: New Version Notification for
>>>draft-jjmb-sunset4-dns-forwarding-ipv4aas-00.txt
>>>
>>>>
>>>>A new version of I-D, draft-jjmb-sunset4-dns-forwarding-ipv4aas-00.txt
>>>>has been successfully submitted by John Jason Brzozowski and posted to
>>>>the
>>>>IETF repository.
>>>>
>>>>Name:		draft-jjmb-sunset4-dns-forwarding-ipv4aas
>>>>Revision:	00
>>>>Title:		DNS Forwarding and IPv4aaS
>>>>Document date:	2015-11-02
>>>>Group:		Individual Submission
>>>>Pages:		7
>>>>URL:           
>>>>https://www.ietf.org/internet-drafts/draft-jjmb-sunset4-dns-forwarding-
>>>>i
>>>>p
>>>>v
>>>>4aas-00.txt
>>>>Status:        
>>>>https://datatracker.ietf.org/doc/draft-jjmb-sunset4-dns-forwarding-ipv4
>>>>a
>>>>a
>>>>s
>>>>/
>>>>Htmlized:      
>>>>https://tools.ietf.org/html/draft-jjmb-sunset4-dns-forwarding-ipv4aas-0
>>>>0
>>>>
>>>>
>>>>Abstract:
>>>>   The depletion of IPv4 coupled with the wide spread deployment of
>>>>IPv6
>>>>   for broadband globally is creating an environment where service
>>>>   providers can seriously begin to consider alternate uses and
>>>>   applications for native IPv6 connectivity.  Pervasive, reliable
>>>>   support for IPv6 across many access technologies suggests that one
>>>>   critical use for native IPv6 is the carry legacy IPv4
>>>>communications.
>>>>   Today this is referred to as IPv4 as a Service (IPv4aaS).  IPv4aaS
>>>>   can leverage a variety of transports ranging from Mapping of Address
>>>>   and Ports (MAP) to Generic Route Encapsulation (GRE) along with
>>>>other
>>>>   viable protocols.  Most every use case for IPv4aaS includes the use
>>>>   of CG-NAT, however, this is not strictly required.  The purpose of
>>>>   this document is to hone in on DNS specific behavior that must be
>>>>   taken into consideration as the deployment of IPv4aaS advances
>>>>   globally.
>>>>
>>>>               
>>>>        
>>>>
>>>>
>>>>Please note that it may take a couple of minutes from the time of
>>>>submission
>>>>until the htmlized version and diff are available at tools.ietf.org.
>>>>
>>>>The IETF Secretariat
>>>>
>>>>
>>>
>>
>>_______________________________________________
>>DNSOP mailing list
>>[email-masked]
>>https://www.ietf.org/mailman/listinfo/dnsop